get_graph_time {DiagrammeR} | R Documentation

## Get the graph date-time or timezone

### Description

Set the time and timezone for a graph object of class `dgr_graph`.

### Usage

    get_graph_time(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a single-length `POSIXct` vector with the assigned graph time.

### Examples

    # Create an empty graph and
    # set the graph's time; if nothing
    # is supplied for the `tz` argument,
    # `GMT` is used as the time zone
    graph <-
      create_graph() %>%
        set_graph_time(
          time = "2015-10-25 15:23:00")

    # Get the graph's time as a POSIXct
    # object using `get_graph_time()`
    graph %>%
      get_graph_time()

[Package DiagrammeR version 1.0.1 Index]